Subject: Re: Compiling a Prolog program to a stand alone application

From: "Πέτρος Τσέλιος" <[email-masked]>
Date: Fri, 20 Aug 1999 18:14:11 +0300

First of all thank you very much,
I don't know if it is just my idea, but I would like to create a console
application. So, when I used the "qsave_program('filename.exe',
[goal(start),stand_alone(true)])." command, I had a windows application
(with the swi environment).
Can I compile it as a console application?

Thank you
Peter Tselios
-----Αρχικό μήνυμα-----
Από: Uwe Lesta <[email-masked]>
Προς: Πέτρος Τσέλιος <[email-masked]>; [email-masked]
<[email-masked]>
Ημερομηνία: Παρασκευή, 20 Αυγούστου 1999 11:44
Θέμα: Re: Compiling a Prolog program to a stand alone application

>Peter Tselios schrieb:
>>
>> Hallo to everyone,
>> I have (again) a compilation problem. But this time is a litle easier.
>> According to the manual, if we use the "qsave_program('filename.exe',
>> stand_alone(on))" command, we will have an executable program. Is that
>> correct? If so, When I tried that, Prolog said "NO". What am I doing
>> wrong?
>
>try
>
>qsave_program('filename.exe', [goal(start),stand_alone(true)]).
>
>it works on my windows system
>--
>
>
>Regards
>
>Uwe
>[email-masked]